## wl 1.0.3

=== Makefile ===
#
# Please specify your Emacs here.
#
EMACS	= xemacs
#
# Target directory to install the Wanderlust package.
# (Automatically detected if this line is unchanged.)
#
ELISPDIR = NONE
#ELISPDIR = /usr/local/lib/mule/site-lisp

INFODIR = NONE
#INFODIR = /usr/local/share/info

# For XEmacs package.
PACKAGEDIR = NONE

################# No need to modify following lines ####################
FLAGS   = -batch -q -no-site-file

elc:
	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package $(ELISPDIR)

install-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package $(ELISPDIR)

uninstall-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f uninstall-wl-package $(ELISPDIR)

clean-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f cleanup-wl-package

package:
	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package-xmas $(PACKAGEDIR)

install-package:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package-xmas $(PACKAGEDIR)

info:
	$(EMACS) $(FLAGS) -l WL-MK -f wl-texinfo-format

install-info:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-info $(INFODIR)

all: elc

install: install-elc

uninstall: uninstall-elc

clean: clean-elc

## wl 2.14.0

=== debian/changelog ===
wl (2.14.0-12) unstable; urgency=low

  * debian/emacsen-startup.in: Set ssl-program-name and ssl-program-arguments
    to use gnutls-cli instead of openssl s_client. (closes: #294658)
  * debian/README.Debian.in: Add information to customize gnutls-cli options.
  * debian/control: Add gnutls-bin to Suggests.
  * debian/patches/20_ssl-cert-info.patch: Use "opsnssl" instead of
    ssl-program-name for ssl-certificate-information.
  * debian/patches/10_elmo-intern-soft.patch: Define elmo-intern-soft to fix
    unknown archiver type.  Patch from [wl:14407] on 2010-03-02 by Katsuyoshi
    Ohara.
  * debian/patches/0*.patch: Generated from applied patches.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 20 Jun 2010 21:35:01 +0900

wl (2.14.0-11) unstable; urgency=low

  * debian/control:
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add ${misc:Depends} to Depends.
    - Set Section to lisp.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Feb 2010 15:43:49 +0900

wl (2.14.0-10) unstable; urgency=low

  * debian/emacsen-*: Rewritten.
    - Don't install utf7.el for Emacs 23.
    - Set wl-auto-save-drafts-interval to nil in the startup file.
  * debian/rules, debian/__env.el: Don't use __env.el.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/control:
    - Remove `make' from Depends.
    - Move `Homepage:' from Description to the header.
    - Update Standards-Version to 3.8.1.
  * debian/rules: Use dh_prep instead of `dh_clean -k'.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 09 Apr 2009 00:08:33 +0900

wl (2.14.0-9) unstable; urgency=low

  * debian/rules: Use emacs instead of emacs21.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Jul 2007 22:02:08 +0900

wl (2.14.0-8) unstable; urgency=low

  * debian/control:
    - Prefer emacs to emacs21.
    - Revise Description.
  * debian/README.Debian.in: Typo fix.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2007 21:27:01 +0900

wl (2.14.0-7) unstable; urgency=low

  * debian/emacsen-install.in: Make symlink for elmo-shimbun.el,
    elsp-spamfilter.el, bbdb-wl.el and ssl.el.
  * debian/README.Debian.in:
    - Remove "Extra packages" section.
    - Rename from README.Debian for wl and wl-beta.
  * debian/rules: Generate README.Debian from README.Debian.in.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon,  7 May 2007 23:02:47 +0900

wl (2.14.0-6) unstable; urgency=medium

  * elmo-pop3.el (elmo-pop3-auth-apop): Use more strict regexp.
    [CVE-2007-1558]
  * debian/control: Conflict with wanderlust2.
  * Rename debian/env.el to debian/__env.el.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 24 Apr 2007 23:14:01 +0900

wl (2.14.0-5) unstable; urgency=low

  * wl/wl-draft.el (wl-smtp-extension-bind): Don't bind smtp-end-of-line.
    (from CVS 2006-02-09 Yoichi NAKAYAMA, closes: #419187)
  * debian/emacsen-install.in: Don't byte-compile bbdb-wl.el.
  * debian/control:
    - (Description): Use `Homepage:'.
    - (Priority): optional -> extra.
  * debian/watch:
    - Set Action to uupdate.
    - Use mirror site.
  * debian/copyright:
    - Change URL of mirror site.
    - Mention Debian packaging condition.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 14 Apr 2007 19:13:17 +0900

wl (2.14.0-4) unstable; urgency=medium

  * elmo/elmo-imap4.el: Fix "IMAP error: No `OK' response from server",
    patch from upstream CVS version. (closes: #405284)

 -- Tatsuya Kinoshita <tats@debian.org>  Tue,  2 Jan 2007 21:08:54 +0900

wl (2.14.0-3) unstable; urgency=low

  * debian/control (Build-Depends): Depend on debhelper version 5.
  * debian/compat: 3 -> 5.
  * debian/control (Standards-Version): 3.6.2 -> 3.7.2.
  * debian/control (Maintainer): tats@vega.ocn.ne.jp -> tats@debian.org.
  * debian/copyright: Ditto.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu,  8 Jun 2006 01:21:26 +0900

wl (2.14.0-2) unstable; urgency=low

  * debian/emacsen-install.in: Don't remove wl-news.el.
  * debian/emacsen-install.in: Don't run `make clean'.
  * debian/copyright: Update the postal address of the Free Software
    Foundation.
  * debian/control (Standards-Version): 3.6.1 -> 3.6.2.
  * Sponsored by Fumitoshi UKAI
  * debian/control: add semi, flim to build-depends:
  * debian/postinst: fix bashism. [ -a -> &&

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat, 13 Aug 2005 13:45:19 +0900

wl (2.14.0-1) unstable; urgency=low

  * New upstream release. (closes: #293730)
    - wl-draft-folder can be set to Maildir folder (closes: #278140)
  * debian/rules: Load WL-MK to use the wl-texinfo-format function.
  * debian/rules: Set file modes of *.el to 0644 explicitly.
  * debian/rules: Don't install `CVS' directories.
  * debian/env.el: Prefer iso-2022-jp instead of euc-jp.
  * debian/emacsen-startup.in: Remove setting of threading characters for
    nomule emacsen (integrated in the upstream).
  * debian/emacsen-startup.in: Set the ssl-certificate-directory variable
    to "/etc/ssl/certs", and set the ssl-certificate-verification-policy
    variable to 3.
  * debian/emacsen-install.in: Ready for emacsen flavors sxemacs*.
  * debian/control: Add `starttls' to `Suggests'.
  * debian/control: Revise description.
  * debian/watch: New file.
  * debian/copyright: Updated.
  * debian/README.Debian: Update the "Extra packages" section.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Sat,  4 Jun 2005 15:38:08 +0900

wl (2.10.1+0.20040728-2) unstable; urgency=low

  * debian/control: Depends on apel (>= 10.6), flim (>= 1:1.14.6) and
    semi (>= 1.14.6).
  * debian/control: Suggests `mu-cite'.

 -- Tatsuya Kinoshita <tats@vega.ocn.ne.jp>  Wed, 11 Aug 2004 20:38:32 +0900

wl (2.10.1+0.20040728-1) unstable; urgency=low

  * New upstream release. (CVS snapshot, wl-2_10 branch on 2004-07-28 at
    23:02 +0900)
    - wl-summary.el (wl-summary-insert-thread): Fixed the logic to


=== debian/control ===
Source: wl
Section: lisp
Priority: extra
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: emacs, apel, flim, semi
Standards-Version: 3.8.4
Homepage: http://www.gohome.org/wl/

Package: wl
Architecture: all
Depends: emacs | emacsen, semi (>= 1.14.6), flim (>= 1:1.14.6), apel (>= 10.6), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, mu-cite, mhc
Replaces: wl-beta, wanderlust2
Conflicts: wl-beta, wanderlust2, xbase (<< 3.3.2.3a-2)
Provides: imap-client, mail-reader, news-reader
Description: mail/news reader supporting IMAP for emacsen
 Wanderlust is a mail/news management system on emacsen.  It supports
 IMAP4rev1 (RFC2060), NNTP, POP and local message files.
 .
 The main features of Wanderlust:
 .
  - Pure elisp implementation.
  - Supports IMAP4rev1, NNTP, POP (POP3/APOP), MH and Maildir format.
  - Unified access method to messages based on Mew-like Folder Specification.
  - Mew-like Key-bind and mark handling.
  - Manages unread messages.
  - Interactive thread display.
  - Folder Mode shows the list of subscribed folders.
  - Message Cache, Disconnected Operation.
  - MH-like FCC. (Fcc: %Backup and Fcc: $Backup is allowed).
  - MIME compliant (by SEMI).
  - Transmission of news and mail are unified by Message transmitting draft.
  - Graphical list of folders.
  - View a part of message without retrieving the whole message (IMAP4).
  - Server-side message look up (IMAP4). Multi-byte characters are allowed.
  - Virtual Folders.
  - Supports compressed folder using common archiving utilities.
  - Old articles in folders are automatically removed/archived (Expiration).
  - Automatic re-file.
  - Template function makes it convenient to send fixed form messages.

## wl 2.15.9%2B0.20161228

=== debian/changelog ===
wl (2.15.9+0.20161228-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20161228
  * Drop 90_truncate-lines.patch
  * Drop 80_elmo-passwd.patch
  * Drop 70_xemacs.patch
  * Drop 60_elmo-string.patch
  * Drop 50_imap4-uid.patch
  * Drop 40_idle-timer.patch
  * Drop 10_docfix.patch
  * Update debian/copyright
  * Update debhelper compat version to 10
  * Update Priority to optional
  * Update Vcs-Git to https
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Jan 2018 13:40:00 +0900

wl (2.15.9+0.20141019-6) unstable; urgency=medium

  * New patch 90_truncate-lines.patch to refer truncate-lines

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2017 20:39:58 +0900

wl (2.15.9+0.20141019-5) unstable; urgency=medium

  * New patch 80_pwgarbage.patch to not let passwords become a garbage
  * Prefer emacs-nox over emacs
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 05 Jan 2017 23:17:52 +0900

wl (2.15.9+0.20141019-4) unstable; urgency=medium

  * Update 70_xemacs.patch to work wl-draft-send-confirm on XEmacs
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 28 Oct 2016 20:43:34 +0900

wl (2.15.9+0.20141019-3) unstable; urgency=medium

  * New patch 60_elmo-string.patch to fix typo for elmo-string
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8
  * Accept emacs25
  * New patch 70_xemacs.patch to prevent errors on XEmacs

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 16 Oct 2016 12:44:17 +0900

wl (2.15.9+0.20141019-2) unstable; urgency=medium

  * New patch 50_imap4-uid.patch to fix typo

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Aug 2015 13:03:52 +0900

wl (2.15.9+0.20141019-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20141019
  * Drop 40_Add-coding-tag.patch
  * Drop 10_elmo-intern-soft.patch
  * New patch 10_docfix.patch from upstream
  * New patch 40_idle-timer.patch to fix wl-biff
  * Update debian/copyright
  * Add maildir-utils and notmuch to Suggests
  * Mention gnutls.el, tls.el and ssl.el in docs
  * Update Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 23:17:48 +0900

wl (2.15.9+0.20120411-5) unstable; urgency=medium

  * Update ssl-program-arguments to disable SSLv3 [CVE-2014-3566]
  * Update debian/copyright
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 16 Oct 2014 18:53:37 +0900

wl (2.15.9+0.20120411-4) unstable; urgency=medium

  * Depend on emacsen-common 2.0.8
  * Install a compat file with emacsen-compat
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 24 Aug 2014 18:52:39 +0900

wl (2.15.9+0.20120411-3) unstable; urgency=low

  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Do not byte-compile for emacs22|emacs21|emacs20
  * Use dpkg-maintscript-helper to remove obsolete conffile
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Dec 2013 20:17:42 +0900

wl (2.15.9+0.20120411-2) unstable; urgency=low

  * New patch 40_Add-coding-tag.patch
  * Add Vcs-Git and Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Jun 2013 21:21:55 +0900

wl (2.15.9+0.20120411-1) unstable; urgency=low

  * Imported Upstream version 2.15.9+0.20120411
    - Switch upstream to the development snapshot, because the upstream
      version 2.14.0 released on 2005-03-25 is too old and hard to maintain.
      The upstream tarball is from Debian wheezy, package wl-beta.
  * debian/*: Sync with wl-beta

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 07 May 2013 21:34:52 +0900

## wl 2.15.9+0.20120411

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs, apel, flim, semi
-Standards-Version: 3.8.4
-Homepage: http://www.gohome.org/wl/
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/wl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wl.git
+Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl
 Architecture: all
-Depends: emacs | emacsen, semi (>= 1.14.6), flim (>= 1:1.14.6), apel (>= 10.6), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, mu-cite, mhc
+Depends: emacsen-common (>= 2.0.8), emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl-beta, wanderlust2
 Conflicts: wl-beta, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: imap-client, mail-reader, news-reader

## wl 2.15.9+0.20141019

=== Makefile ===
#
# Please specify your Emacs here.
#
EMACS	= emacs
# To install Wanderlust for XEmacs 21 or later,
# running 'make install-package' is recommended.
# 'make install-package' refers $XEMACS instead of $EMACS.
XEMACS  = xemacs
#
# Target directory to install the Wanderlust package.
# (Automatically detected if this line is unchanged.)
#
LISPDIR = NONE
#LISPDIR = /usr/local/lib/mule/site-lisp

INFODIR = NONE
#INFODIR = /usr/local/share/info

# For XEmacs package.
PACKAGEDIR = NONE

# For XEmacs or Emacs 21: directory where icon files should go.
PIXMAPDIR = NONE

################# No need to modify following lines ####################
BATCHFLAG = -batch
FLAGS     = $(BATCHFLAG) -q -no-site-file $(EMACS_FLAGS)

elc:
	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package \
		$(LISPDIR) $(PIXMAPDIR)

check:
	$(EMACS) $(BATCHFLAG) -l WL-MK -f check-wl \
		$(LISPDIR) $(PIXMAPDIR)

test:
	$(EMACS) $(FLAGS) -l WL-MK -f test-wl \
		$(LISPDIR) $(PIXMAPDIR)

update-version:
	$(EMACS) $(FLAGS) -l WL-MK -f update-version \
		$(LISPDIR) $(PIXMAPDIR)

compile-strict: clean-elc
	@args="$(FLAGS)";\
	args="$$args -L elmo -L wl";\
	echo "=============================================";\
	echo "Compiling the 1st stage-----without elc files";\
	echo "=============================================";\
	for i in `$(EMACS) $(FLAGS) -l WL-MK -f wl-examine-modules 2>/dev/null`;\
	  do\
	  j=`echo $$i| sed 's/elc$$/el/g'`;\
	  echo "$(EMACS) ARGS -f batch-byte-compile $$j";\
	  $(EMACS) $$args -f batch-byte-compile $$j;\
	  mv $$i $$j"x";\
	done;\
	for i in `echo elmo/*.elx wl/*.elx utils/*.elx`; do\
	  j=`echo $$i| sed 's/elx$$/elc/g'`;\
	  mv $$i $$j;\
	done;\
	echo "==============================================";\
	echo "Compiling the 2nd stage-----with all elc files";\
	echo "==============================================";\
	for i in `$(EMACS) $(FLAGS) -l WL-MK -f wl-examine-modules 2>/dev/null`;\
	  do\
	  j=`echo $$i| sed 's/elc$$/el/g'`;\
	  echo "$(EMACS) ARGS -f batch-byte-compile $$j";\
	  $(EMACS) $$args -f batch-byte-compile $$j;\
	done

install-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package \
		$(LISPDIR) $(PIXMAPDIR)

uninstall-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f uninstall-wl-package \
		$(LISPDIR) $(PIXMAPDIR)

clean-elc:
	rm -f wl/*.elc wl/*~ wl/auto-autoloads.el wl/custom-load.el \
		wl/wl-news.el elmo/*.elc utils/*.elc \
		wl/*.elx elmo/*.elx utils/*.elx

package:
	$(XEMACS) $(FLAGS) -l WL-MK -f compile-wl-package-xmas \
		$(PACKAGEDIR) $(PIXMAPDIR)

install-package:
	$(XEMACS) $(FLAGS) -l WL-MK -f install-wl-package-xmas \
		$(PACKAGEDIR) $(PIXMAPDIR)

info:
	$(EMACS) $(FLAGS) -l WL-MK -f wl-texinfo-format $(INFODIR)

install-info:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-info $(INFODIR)

mostlyclean-info:
	rm -f doc/*~ doc/*.cp doc/*.fn doc/*.ky doc/*.pg doc/*.tp doc/*.vr \
		doc/*.cps doc/*.fns doc/*.kys doc/*.pgs doc/*.tps doc/*.vrs

clean-info: mostlyclean-info
	rm -f doc/*.info doc/*.info-*

mostlyclean-dvi:
	rm -f doc/*~ doc/*.aux doc/*.log doc/*.toc

clean-dvi: mostlyclean-dvi
	rm -f doc/*.dvi

all: elc

install: install-elc

uninstall: uninstall-elc

mostlyclean: clean-elc mostlyclean-info mostlyclean-dvi

clean: mostlyclean clean-dvi

distclean: maintainer-clean

maintainer-clean: clean clean-info

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: lisp
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/wl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl.git
 Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, bogofilter | bsfilter | spamassassin, mu-cite, mhc
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl-beta, wanderlust2
 Conflicts: wl-beta, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: imap-client, mail-reader, news-reader

## wl 2.15.9+0.20161228

=== debian/changelog ===
wl (2.15.9+0.20161228-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0
  * Use maintscript file instead of manual calls to dpkg-maintscript-helper
  * Update TLS configuration, disable TLS 1.3 for Emacs 26.1
    cf. http://lists.gnu.org/archive/html/help-gnu-emacs/2019-02/msg00204.html

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 14 Feb 2019 21:11:15 +0900

wl (2.15.9+0.20161228-4) unstable; urgency=medium

  * Fix handling for unversioned emacs flavor
  * Fix handling for xemacs21-mule/nomule
  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 22 Aug 2018 00:30:18 +0900

wl (2.15.9+0.20161228-3) unstable; urgency=medium

  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 18:48:52 +0900

wl (2.15.9+0.20161228-2) unstable; urgency=medium

  * Migrate from anonscm.debian.org to salsa.debian.org
  * Reorder debian/patches
  * New patch 040_prockill.patch for Emacs trunk 2018-03-10

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 16 Mar 2018 00:50:21 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: wl
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 11)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/wl.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian/wl
+Vcs-Git: https://salsa.debian.org/debian/wl.git
 Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl

## wl 2.15.9+0.20190205

=== debian/changelog ===
wl (2.15.9+0.20190205-6) unstable; urgency=medium

  * New patch 050_header-separator.patch to fix typo in wl-template
  * New patch 060_elmo-archive-progress.patch to fix displaying progress
  * Remove bitmap-mule, easypg, gnutls-bin, mule-ucs from Suggests
  * Update README.Debian for built-in GnuTLS and NSM
  * Remove unneeded configuration for SSL/TLS
  * Update Standards-Version to 4.5.1
  * Don't install .cvsignore

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Dec 2020 16:01:20 +0900

wl (2.15.9+0.20190205-5) unstable; urgency=medium

  * Drop emacs23, emacs22 and xemacs21
  * Update README.Debian to mention NSM
  * Drop 020_ssl-cert-info.patch
  * Update emacsen-startup for ssl-certificate-information
  * Remove unneeded configuration from emacsen-startup
  * New patch 040_elmo-coding.patch to fix elmo-set-auto-coding

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Nov 2020 19:44:05 +0900

wl (2.15.9+0.20190205-4) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Update debian/watch to stable/wl-beta
  * Update debhelper-compat to 13
  * No longer recompile mhc
  * No longer handle CVS stuff

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 24 Aug 2020 23:22:25 +0900

wl (2.15.9+0.20190205-3) unstable; urgency=medium

  * Update configration for GnuTLS and NSM
  * Add ca-certificates to Recommends
  * Add Rules-Requires-Root: no
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 07 Mar 2020 12:30:12 +0900

wl (2.15.9+0.20190205-2) unstable; urgency=medium

  * Update debhelper-compat to 12
  * Update Standards-Version to 4.4.0
  * Skip old flavors xemacs20 and xemacs19

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 15 Jul 2019 23:04:30 +0900

wl (2.15.9+0.20190205-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20190205
  * Update sample configuration for TLS 1.3
  * Update debian/copyright
  * Drop 040_prockill.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 08 Jul 2019 23:29:32 +0900

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 11)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24, apel (>= 10.7), flim, semi
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/wl
 Vcs-Git: https://salsa.debian.org/debian/wl.git
 Homepage: https://github.com/wanderlust/wanderlust
+Rules-Requires-Root: no
 
 Package: wl
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Recommends: ca-certificates
+Suggests: gnupg, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl-beta, wanderlust2
 Conflicts: wl-beta, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: imap-client, mail-reader, news-reader

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=wl
EMACS=emacs

pre-build: pre-build-stamp
pre-build-stamp:
	dh_testdir
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //" > debian/PACKAGE

	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	touch $@

build-indep: pre-build build-indep-stamp
build-indep-stamp:
	dh_testdir
	$(EMACS) -q -no-site-file -batch -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp))" -l WL-MK -eval '(wl-texinfo-format)'
	touch $@

build-arch:

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	rm -f *build*-stamp
	rm -f doc/*.info debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r WL-* NEWS* wl elmo utils debian/$(PACKAGE)/usr/share/$(PKGSNAME)/
	rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/wl/.cvsignore
	cp -r etc/icons/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)/
	cp etc/ja.Emacs debian/$(PACKAGE)/etc/X11/Xresources/wanderlust.ja
	mv debian/$(PACKAGE)/usr/share/$(PKGSNAME)/wl/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.wl
	mv debian/$(PACKAGE)/usr/share/$(PKGSNAME)/elmo/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.elmo
	mv debian/$(PACKAGE)/usr/share/$(PKGSNAME)/utils/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.utils

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples samples/*
	dh_installemacsen --priority 65
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc/icons
	dh_link usr/share/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
	dh_link usr/share/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

## wl 2.15.9+0.20210131

=== debian/changelog ===
wl (2.15.9+0.20210131-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 3 obsolete maintscript entries in 1 files.
  * Fix day-of-week for changelog entries 0.9.3-3, 0.9.3-2.
  * Remove constraints unnecessary since buster (closes: #1013849)

  [ Tatsuya Kinoshita ]
  * Prevent native compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Leave a compilation log
  * Remove empty maintainer scripts
  * Relax dependencies on emacs flavors
  * Avoid egrep in maintainer scripts
  * Update Standards-Version to 4.6.2
  * Typo fix in README.Debian
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 22:20:02 +0900

wl (2.15.9+0.20210131-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20210131
  * Drop debian/patches
  * Add NEWS.Debian to mention lexical binding
  * Drop .cvsignore handling
  * Don't install obsolete ChangeLog files
  * Don't set wl-auto-save-drafts-interval to nil in emacsen-startup
    (The default value is now 300)
  * Remove unneeded configuration for elmo-archive with GNU tar
  * Install samples/en/* files into examples directly
  * Add dot.wl-highlight-subdued.el to examples
  * Update Info handling to use makeinfo (closes: #341746)
  * Update debian/upstream/metadata to use https
  * Update debian/copyright
  * New patch 010_elmo-msgdb.patch to remove old elmo-folder-get-info

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 17 Aug 2021 20:57:44 +0900

wl (2.15.9+0.20190205-7) unstable; urgency=medium

  * New patch 070_search-map.patch to remove local M-s key bindings
  * Add sample configuration for SSL/TLS to README.Debian
  * Add gnutls-bin to Suggests
  * Update debian/copyright
  * New patch 080_make-obsolete.patch to fix arguments for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 22 Jan 2021 21:12:30 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24, apel (>= 10.7), flim, semi
-Standards-Version: 4.5.1
+Build-Depends-Indep: texinfo
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/wl
 Vcs-Git: https://salsa.debian.org/debian/wl.git
 Homepage: https://github.com/wanderlust/wanderlust
@@ -12,9 +12,9 @@
 
 Package: wl
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: ca-certificates
-Suggests: gnupg, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
+Depends: emacsen-common, semi, flim, apel, ${misc:Depends}
+Recommends: emacs-nox | emacs, ca-certificates
+Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl-beta, wanderlust2
 Conflicts: wl-beta, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: imap-client, mail-reader, news-reader

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*/)?wl-beta_(\d[\d.+a-z]*)\.orig\.tar\.([a-z]+)%wl-$1.tar.$2%" \
https://packages.debian.org/source/stable/wl-beta \
(?:.*/)?wl-beta_(\d[\d.+a-z]*)\.orig\.tar\.[a-z]+ debian uupdate
